[Ovirt-devel] [PATCH node] updated unpersist prompts bz512539

Joey Boggs jboggs at redhat.com
Tue Jul 21 19:12:26 UTC 2009


---
 scripts/ovirt-functions |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/scripts/ovirt-functions b/scripts/ovirt-functions
index 404c366..7657bae 100644
--- a/scripts/ovirt-functions
+++ b/scripts/ovirt-functions
@@ -508,8 +508,16 @@ remove_config() {
                     if [ -f /config$f ]; then
                         # refresh the file in rootfs if it was mounted over
                         cp -a /config$f $f
+                        if [ $? -ne 0 ]; then
+                            printf " Failed to unpersist %s\n" $f
+                            rc=1
+                        else
+                            printf " %s successully unpersisted\n" $f
+                        fi
                     fi
                 fi
+            else
+                printf " %s is not in persistent storage" $f
             fi
             # clean up the persistent store
             rm -f /config$f
-- 
1.6.2.5




More information about the ovirt-devel mailing list